"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class BaseReportService {
    constructor(octokitService, presenterService) {
        this.octokitService = octokitService;
        this.presenterService = presenterService;
    }
    getReport(options) {
        return __awaiter(this, void 0, void 0, function* () {
            const { org, user, nvm, engines, token } = options;
            const repos = yield this.octokitService.getRepos({ org, user, token });
            if (!repos) {
                return null;
            }
            this.presenterService.showSearchNodeVersion({ nvm, engines });
            this.presenterService.showSpinner(`Search in every repo...`);
            const result = yield Promise.all(repos.map((repo) => __awaiter(this, void 0, void 0, function* () {
                try {
                    return yield this.handleRepo(repo, options);
                }
                catch (e) {
                    return { repo, error: e.message };
                }
            })));
            this.presenterService.hideSpinner({ success: true });
            return result;
        });
    }
}
exports.BaseReportService = BaseReportService;
//# sourceMappingURL=base.report.service.js.map