/// <reference types="node" />
import * as Octokit from '@octokit/rest';
import { IPresenterService } from './interfaces';
import { IReportItem, IProgramOptions } from '../../interfaces';
import { Writable } from 'stream';
export declare class RawJsonPresenterService implements IPresenterService {
    protected stream: Writable;
    constructor(stream: Writable);
    protected write(data: object): void;
    showFiglet(): void;
    showGithubTokenInfo(): void;
    showRateLimit(rateLimit: Octokit.RateLimitGetResponseRate, isMainInfo: boolean): Promise<void>;
    showError(message: string): void;
    showData(report: IReportItem[], options: IProgramOptions): void;
    showSpinner(): void;
    hideSpinner(): void;
    showSearchNodeVersion(): void;
    showSearchPackageVersion(): void;
}
